/*****************************************************
*           SAA1057 PLL Circuit Interface            *
*       (C) 2009 by Marius Petrescu, YO2LOJ          *
*   Released under the GNU General Public License    *
*****************************************************/
#include <avr/io.h>

#include "pll.h"

void pll_send(unsigned word)
{
	unsigned b;
	int i;

	b = word;

	PLL_CLEAR_DLEN();
	PLL_CLEAR_CLB();
	PLL_CLEAR_DATA();
	delay_us(10);
	PLL_SET_DLEN();
	delay_us(10);
	PLL_SET_CLB();
	delay_us(10);
	PLL_CLEAR_CLB();
	delay_us(10);

	for (i = 0; i <16; i++)
	{
		if (b&0x8000) PLL_SET_DATA();
		else PLL_CLEAR_DATA();
		delay_us(10);
		PLL_SET_CLB();
		delay_us(10);
		PLL_CLEAR_CLB();
		delay_us(10);
		b = b << 1;
	}
	PLL_CLEAR_DLEN();
	PLL_CLEAR_DATA();
	delay_us(10);
	PLL_SET_CLB();
	delay_us(10);
	PLL_CLEAR_CLB();
}

